/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2       /* callback function: controlHelp */
#define  PANEL_RESET                     3       /* callback function: controlHelp */
#define  PANEL_CWPOW                     4       /* callback function: controlHelp */
#define  PANEL_STOPFREQ                  5       /* callback function: controlHelp */
#define  PANEL_STARTFREQ                 6       /* callback function: controlHelp */
#define  PANEL_FIXFREQ                   7       /* callback function: controlHelp */
#define  PANEL_FIXPOW                    8       /* callback function: controlHelp */
#define  PANEL_CWFREQ                    9       /* callback function: controlHelp */
#define  PANEL_STOPPOW                   10      /* callback function: controlHelp */
#define  PANEL_STARTPOW                  11      /* callback function: controlHelp */
#define  PANEL_LOSOURCE                  12      /* callback function: controlHelp */
#define  PANEL_LOPOW                     13      /* callback function: controlHelp */
#define  PANEL_IFFREQ                    14      /* callback function: controlHelp */
#define  PANEL_CONVERSION                15      /* callback function: controlHelp */
#define  PANEL_LOFREQ                    16      /* callback function: controlHelp */
#define  PANEL_RFFREQ                    17      /* callback function: controlHelp */
#define  PANEL_RFPOW                     18      /* callback function: controlHelp */
#define  PANEL_SWEEPTYPE                 19      /* callback function: sweepType */
#define  PANEL_IDQUERY                   20      /* callback function: controlHelp */
#define  PANEL_Exit                      21      /* callback function: exitApp */
#define  PANEL_APPLY                     22      /* callback function: apllySettings */
#define  PANEL_DECORATION_3              23
#define  PANEL_TEXT                      24
#define  PANEL_PICTURE                   25
#define  PANEL_DECORATION_2              26
#define  PANEL_DECORATION_4              27
#define  PANEL_DECORATION_6              28
#define  PANEL_DECORATION_5              29
#define  PANEL_DECORATION                30


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK sweepType(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
